| getBalance | GET /balance | account:read | | | | | |
| getMe | GET /me | account:read | | | | | |
| getPlan | GET /plan | account:read | | | | | |
| listLanguages | GET /languages | any valid key | | | | | |
| createDub | POST /projects/{project_id}/dub | dubbing:write, credits:spend | required | | estimateDub | | |
| createLocalization | POST /projects/{project_id}/localizations | dubbing:write, credits:spend; by request lipsync:write, onscreen:write | required | | estimateLocalization | | per conditional |
| estimateDub | POST /projects/{project_id}/dub/estimate | dubbing:write | optional | | | | |
| estimateLocalization | POST /projects/{project_id}/localizations/estimate | dubbing:write | optional | | | | |
| estimateSegmentGeneration | POST /projects/{project_id}/segments/generate/estimate | dubbing:write | optional | | | | |
| generateSegments | POST /projects/{project_id}/segments/generate | dubbing:write, credits:spend | required | | estimateSegmentGeneration | | audio_download |
| createExport | POST /projects/{project_id}/exports | projects:write | required | | | | burned_subtitles |
| createFileRestore | POST /projects/{project_id}/file-restores | projects:write | required | | | | |
| getProjectSubtitles | GET /projects/{project_id}/subtitles | projects:read | | | | yes | subtitle_download |
| listProjectOutputs | GET /projects/{project_id}/outputs | projects:read | | | | | dubbed_audio and voice_track need audio_download; subtitles need subtitle_download; burned_subtitles_video and lipsync_burned_subtitles_video need burned_subtitles; lipsync_video needs lipsync and lipsync_download; onscreen_video needs onscreen; localized_video needs onscreen when on-screen is its last stage, else lipsync and lipsync_download. Withheld outputs report not_in_plan |
| createGlossary | POST /glossaries | glossaries:write | optional | | | | glossary |
| deleteGlossary | DELETE /glossaries/{glossary_id} | glossaries:write | | | | | glossary |
| getGlossary | GET /glossaries/{glossary_id} | glossaries:read | | | | | |
| listGlossaries | GET /glossaries | glossaries:read | | | | | |
| updateGlossary | PATCH /glossaries/{glossary_id} | glossaries:write | optional | | | | glossary |
| cancelJob | POST /jobs/{job_id}/cancel | jobs:write | optional | | | | |
| getJob | GET /jobs/{job_id} | jobs:read | | | | | |
| listJobs | GET /jobs | jobs:read | | | | | |
| resumeJob | POST /jobs/{job_id}/resume | jobs:write, dubbing:write, credits:spend; by request lipsync:write, onscreen:write | required | | estimateLocalization | | per conditional |
| createLipsync | POST /projects/{project_id}/lipsync | lipsync:write, credits:spend | required | | estimateLipsync | | lipsync; paid runs need lipsync_paid; enhanced needs lipsync_enhanced; downloads need lipsync_download |
| estimateLipsync | POST /projects/{project_id}/lipsync/estimate | lipsync:write | optional | | | | |
| getLipsyncState | GET /projects/{project_id}/lipsync | projects:read | | | | | |
| deleteMedia | DELETE /media/{media_id} | media:write | | | | | |
| getMedia | GET /media/{media_id} | media:read | | | | | |
| importMedia | POST /media/import | media:write | required | | | | |
| listMedia | GET /media | media:read | | | | | |
| createOnscreen | POST /projects/{project_id}/onscreen | onscreen:write, credits:spend | required | | estimateOnscreen | | onscreen |
| estimateOnscreen | POST /projects/{project_id}/onscreen/estimate | onscreen:write | optional | | | | |
| getOnscreenState | GET /projects/{project_id}/onscreen | projects:read | | | | | |
| createFolder | POST /folders | projects:write | optional | | | | |
| createProject | POST /projects | projects:write, credits:spend; by request lipsync:write, onscreen:write | required | | estimateProject | | free_dubbing -> free_languages; glossary_id; translation_instructions; subtitles -> subtitle_import; auto_dub; onscreen; localization (conditional) |
| createProjectCopies | POST /projects/{project_id}/copies | projects:write, credits:spend | required | | estimateProjectCopies | | multilanguage; glossary_id -> glossary; auto_dub -> an active subscription |
| deleteFolder | DELETE /folders/{folder_id} | projects:write | | | | | |
| deleteProject | DELETE /projects/{project_id} | projects:write | | | | | |
| deleteProjectBatch | DELETE /projects | projects:write | | | | | |
| estimateProject | POST /projects/estimate | projects:write | optional | | | | |
| estimateProjectCopies | POST /projects/{project_id}/copies/estimate | projects:write | optional | | | | |
| getFolder | GET /folders/{folder_id} | projects:read | | | | | |
| getProject | GET /projects/{project_id} | projects:read | | | | | |
| listFolders | GET /folders | projects:read | | | | | |
| listProjects | GET /projects | projects:read | | | | | |
| updateFolder | PATCH /folders/{folder_id} | projects:write | optional | | | | |
| updateProject | PATCH /projects/{project_id} | projects:write | optional | | | | |
| createSegment | POST /projects/{project_id}/segments | transcripts:write | required | | | yes | |
| deleteSegment | DELETE /projects/{project_id}/segments/{segment_id} | transcripts:write | optional | required | | yes | |
| getSegment | GET /projects/{project_id}/segments/{segment_id} | transcripts:read | | | | yes | |
| listSegments | GET /projects/{project_id}/segments | transcripts:read | | | | yes | |
| mergeSegments | POST /projects/{project_id}/segments/merge | transcripts:write | optional | required, in the body | | yes | |
| selectTranslationVariant | POST /projects/{project_id}/segments/{segment_id}/select-variant | transcripts:write | optional | required | | yes | |
| splitSegment | POST /projects/{project_id}/segments/{segment_id}/split | transcripts:write | optional | required | | yes | |
| updateSegment | PATCH /projects/{project_id}/segments/{segment_id} | transcripts:write | optional | required | | yes | |
| getSpeaker | GET /projects/{project_id}/speakers/{speaker_id} | voices:read | | | | | |
| listSpeakers | GET /projects/{project_id}/speakers | voices:read | | | | | |
| updateSpeakerVoice | PUT /projects/{project_id}/speakers/{speaker_id}/voice | voices:write | optional | required | | | an instant_clone voice -> instant_voice_clone |
| getTranscript | GET /projects/{project_id}/transcript | transcripts:read | | | | yes | |
| getTranslationSettings | GET /projects/{project_id}/translation-settings | transcripts:read | | | | | |
| importTranscript | POST /projects/{project_id}/transcript/import | transcripts:write | required | | | yes | subtitle_reimport |
| retranslateSegments | POST /projects/{project_id}/retranslation | transcripts:write | required | | | yes | |
| updateTranslationSettings | PATCH /projects/{project_id}/translation-settings | transcripts:write | optional | optional | | | non-empty translation_instructions -> translation_instructions; non-empty glossary_id -> glossary |
| completeUpload | POST /uploads/{upload_id}/complete | media:write | required | | | | |
| createUpload | POST /uploads | media:write | optional | | | | |
| deleteUpload | DELETE /uploads/{upload_id} | media:write | | | | | |
| getUpload | GET /uploads/{upload_id} | media:read | | | | | |
| getUsage | GET /usage | account:read | | | | | |
| listUsageEvents | GET /usage/events | account:read | | | | | |
| createTranscriptVersion | POST /projects/{project_id}/transcript/versions | transcripts:write | optional | | | yes | |
| getTranscriptVersion | GET /projects/{project_id}/transcript/versions/{version_number} | transcripts:read | | | | yes | |
| listTranscriptVersionSegments | GET /projects/{project_id}/transcript/versions/{version_number}/segments | transcripts:read | | | | yes | |
| listTranscriptVersions | GET /projects/{project_id}/transcript/versions | transcripts:read | | | | yes | |
| restoreTranscriptVersion | POST /projects/{project_id}/transcript/versions/{version_number}/restore | transcripts:write | required | | | yes | |
| createVoiceClone | POST /voice-clones | voices:write | required | | | | voice_clones (quota voice_clone_limit) |
| deleteVoiceClone | DELETE /voice-clones/{voice_clone_id} | voices:write | | | | | |
| getVoiceClone | GET /voice-clones/{voice_clone_id} | voices:read | | | | | |
| getVoiceCloneQuota | GET /voice-clones/quota | voices:read | | | | | |
| listVoiceClones | GET /voice-clones | voices:read | | | | | |
| updateVoiceClone | PATCH /voice-clones/{voice_clone_id} | voices:write | optional | | | | |
| listProjectVoices | GET /projects/{project_id}/voices | voices:read | | | | | |
| listVoices | GET /voices | voices:read | | | | | |